Package com.avaya.clientservices.call.feature

## Class SimRingCallbackStatusParameters

- java.lang.Object
- - com.avaya.clientservices.call.feature.SimRingCallbackStatusParameters

-     public class SimRingCallbackStatusParameters
      extends java.lang.Object

  The callback / simultaneous ring feature details for the current user extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimRingCallbackStatusParameters()` | Constructs an empty SimRingCallbackStatusParameters object.
    `SimRingCallbackStatusParameters​(SimRingCallbackDestination destination1, SimRingCallbackDestination destination2, SimRingCallbackDestination destination3, SimRingCallbackDestination destination4, java.lang.String defaultCallbackDestinationNumber)` | Constructs SimRingCallbackStatusParameters object from the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDefaultCallbackDestinationNumber()` | Returns the default callback destination number.
    `SimRingCallbackDestination` | `getDestination1()` | Returns the first callback / simultaneous ring destination.
    `SimRingCallbackDestination` | `getDestination2()` | Returns the second callback / simultaneous ring destination.
    `SimRingCallbackDestination` | `getDestination3()` | Returns the third callback / simultaneous ring destination.
    `SimRingCallbackDestination` | `getDestination4()` | Returns the fourth callback / simultaneous ring destination.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimRingCallbackStatusParameters

          public SimRingCallbackStatusParameters()

      Constructs an empty SimRingCallbackStatusParameters object.

    - #### SimRingCallbackStatusParameters

          public SimRingCallbackStatusParameters​(SimRingCallbackDestination destination1,
                                                 SimRingCallbackDestination destination2,
                                                 SimRingCallbackDestination destination3,
                                                 SimRingCallbackDestination destination4,
                                                 java.lang.String defaultCallbackDestinationNumber)

      Constructs SimRingCallbackStatusParameters object from the specified parameters.
      Parameters:
        `destination1` - the first callback / simultaneous ring destination.
        `destination2` - the second callback / simultaneous ring destination.
        `destination3` - the third callback / simultaneous ring destination.
        `destination4` - the fourth callback / simultaneous ring destination.
        `defaultCallbackDestinationNumber` - the default callback destination number. Can be empty (null or ""). If set up, this number will be used as a source from where the callback call is initiated if it is not explicitly specified in
      See Also:
        `feature call.`

  - ### Method Detail

    - #### getDestination1

          public SimRingCallbackDestination getDestination1()

      Returns the first callback / simultaneous ring destination.
      Returns:
        the first callback / simultaneous ring destination.

    - #### getDestination2

          public SimRingCallbackDestination getDestination2()

      Returns the second callback / simultaneous ring destination.
      Returns:
        the second callback / simultaneous ring destination.

    - #### getDestination3

          public SimRingCallbackDestination getDestination3()

      Returns the third callback / simultaneous ring destination.
      Returns:
        the third callback / simultaneous ring destination.

    - #### getDestination4

          public SimRingCallbackDestination getDestination4()

      Returns the fourth callback / simultaneous ring destination.
      Returns:
        the fourth callback / simultaneous ring destination.

    - #### getDefaultCallbackDestinationNumber

          public java.lang.String getDefaultCallbackDestinationNumber()

      Returns the default callback destination number.
      Returns:
        the default callback destination number. Can be empty. If set up, this number will be used as a source from where the callback call is initiated if it is not explicitly specified in the
      See Also:
        `feature call.`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`